// SonarPoll.java
// Ultrasonic sensor (polled)

import ch.aplu.nxt.*;
import ch.aplu.util.*;

public class SonarPoll implements Cleanable
{
  private LegoRobot robot;

  public SonarPoll()
  {
    robot = new LegoRobot("NXT");
    ModelessOptionPane mop = new ModelessOptionPane("");
    mop.setTitle("Use the ultrasonic sensor");
    mop.addCleanable(this);
    UltrasonicSensor us = new UltrasonicSensor(SensorPort.S1);
    robot.addPart(us);

    while (true)
    {
      int d = us.getDistance();
      mop.setText("Distance: " + d);
      Tools.delay(100);
    }
  }

  public void clean()
  {
    robot.exit();
  }

  public static void main(String[] args)
  {
    new SonarPoll();
  }
}
