// SonarRobot.java
// Ultrasonic sensor, remain on a table

import ch.aplu.nxt.*;
import ch.aplu.util.*;

public class SonarRobot implements UltrasonicListener
{
  private final int triggerLevel = 20;
  private Gear gear;
  
  public SonarRobot()
  {
    LegoRobot robot = new LegoRobot("NXT");
    UltrasonicSensor us = new UltrasonicSensor();
    robot.addPart(us);
    us.addUltrasonicListener(this, triggerLevel);

    gear = new Gear();
    gear.setSpeed(15);
    robot.addPart(gear);
    gear.forward();

    while (!QuitPane.quit());
    robot.exit();
  }
  
  public void far(SensorPort port, int level)
  {
    System.out.println("Fired far with level: " + level);
    gear.backward(2000);
    if (Math.random() < 0.5)
      gear.left(1000);
    else
      gear.right(1000);
    gear.forward();
  }  
  
  public void near(SensorPort port, int level)
  { 
    System.out.println("Fired near with level: " + level);
  } 
    
  public static void main(String[] args)
  {
    new SonarRobot();
  }
}
