// TwinTouch.java
// Two touch sensors

import ch.aplu.nxt.*;
import ch.aplu.util.*;

public class TwinTouch extends TouchAdapter
  implements Cleanable
{
  LegoRobot robot = new LegoRobot("NXT");
  ModelessOptionPane mop =
    new ModelessOptionPane("Actuate one of the touch sensors");
  private int nb1 = 0;
  private int nb2 = 0;

  public TwinTouch()
  {
    mop.showTitle("Touch Sensor");
    mop.addCleanable(this);

    TouchSensor ts1 = new TouchSensor(SensorPort.S1);
    TouchSensor ts2 = new TouchSensor(SensorPort.S2);
    robot.addPart(ts1);
    robot.addPart(ts2);
    ts1.addTouchListener(this);
    ts2.addTouchListener(this);
  }

  public void pressed(SensorPort port)
  {
    if (port == SensorPort.S1)
      nb1++;
    else
      nb2++;
    showNbEvents();
  }

  public void clean()
  {
    robot.exit();
  }

  private void showNbEvents()
  {
    mop.setText("#1: " + nb1 +
      "\n#2: " + nb2);

  }

  public static void main(String[] args)
  {
    new TwinTouch();
  }
}
